schemaFormat: application/vnd.apache.avro;version=1.9.0
schema:
  namespace: schema.common
  type: record
  name: Action
  fields:
    - name: name
      type: string
    - name: guid
      type:
        type: string
        logicalType: uuid
    - name: time
      type:
        type: long
        logicalType: timestamp-millis
    - name: requestId
      type:
        - 'null'
        - string
      default: null
